Bug 802173 - [abrt] openoffice.org-calc-1:3.3.0-20.8.fc14: Process /usr/lib/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
[abrt] openoffice.org-calc-1:3.3.0-20.8.fc14: Process /usr/lib/openoffice.org...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
14
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
abrt_hash:bb06ed28a1dc4ae1d09febce8c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 17:07 EDT by Walt
Modified: 2012-03-27 08:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 08:05:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (78.29 KB, text/plain)
2012-03-11 17:07 EDT, Walt
no flags Details
a patch (697 bytes, patch)
2012-03-27 05:44 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Walt 2012-03-11 17:07:31 EDT
abrt version: 1.1.18
architecture: i686
Attached file: backtrace, 80174 bytes
cmdline: /usr/lib/openoffice.org3/program/scalc.bin -calc file:///home/share/projects/48LongAcres/supplies.ods
comment: file was created by another user
component: openoffice.org
Attached file: coredump, 169734144 bytes
crash_function: ScRowStyles::GetStyleNameIndex
executable: /usr/lib/openoffice.org3/program/scalc.bin
kernel: 2.6.35.14-106.fc14.i686
package: openoffice.org-calc-1:3.3.0-20.8.fc14
rating: 4
reason: Process /usr/lib/openoffice.org3/program/scalc.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1331493169
uid: 500

How to reproduce
-----
1.Saving a file to a shared directory
2.crash
3.
Comment 1 Walt 2012-03-11 17:07:35 EDT
Created attachment 569217 [details]
File: backtrace
Comment 2 Eike Rathke 2012-03-12 06:33:04 EDT
Any test case document to reproduce this?
Beside that, F-14 is EOL'ed, upgrading to F-16 may solve the problem.
Comment 3 Caolan McNamara 2012-03-27 05:44:24 EDT
Created attachment 573005 [details]
a patch

caolanm->erack: any point doing the attached. A lot of the other methods protect themselves like this.
Comment 4 Eike Rathke 2012-03-27 06:10:41 EDT
Can never hurt and might catch an invalid use case of that function.

Note You need to log in before you can comment on or make changes to this bug.